# Add forms to a transaction **POST /forms-editor/api/v1/users/{userId}/FormPackages/{transactionId}/forms** Adds one or more library forms to the transaction's form package. ## Servers - Production API gateway: https://gateway.lwolf.com (Production API gateway) - Environment-specific host (e.g. pre-production): https://api.pre.lwolf.com (Environment-specific host (e.g. pre-production)) ## Authentication methods - Bearer auth & Subscription key ## Parameters ### Path parameters - **userId** (string(uuid)) Unique identifier (GUID) of the acting user. All Transact Workflow resources are scoped to a user. - **transactionId** (string(uuid)) GUID of the transaction (form package). ### Body: application/json (array[object]) - **libraryId** (string(uuid)) GUID of the form library the form comes from. - **formId** (string(uuid)) GUID of the library form to add. - **parentId** (string(uuid)) GUID of the parent folder within the transaction to place the form in. - **sortOrder** (integer) Sort order of the form within its folder. ## Responses ### 201 Forms added to the transaction. ### 400 The request is malformed or contains invalid parameters. #### Body: application/json (object) - **error** (string) Error code or short error name. - **message** (string) Human-readable error description. ### 401 The access token is missing, invalid, or expired. #### Body: application/json (object) - **error** (string) Error code or short error name. - **message** (string) Human-readable error description. ### 403 The caller is not permitted to perform this operation. #### Body: application/json (object) - **error** (string) Error code or short error name. - **message** (string) Human-readable error description. ### 404 The requested resource does not exist. #### Body: application/json (object) - **error** (string) Error code or short error name. - **message** (string) Human-readable error description. [Powered by Bump.sh](https://bump.sh)